@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  display: block;

  &.readonly {
    app-checkbox {
      cursor: auto;
    }
  }
}

// row
.app-row {
  @include flex(center);
  height: 24px;
  flex-wrap: nowrap;

  &.header {
    .app-column {
      @include flex(center, center);
      color: $suva-grey;
    }
  }
}

// column
.app-column {
  @include robotoRegular;
  @include flex(center);
  font-size: 10px;
  color: $eclipse;
  height: 100%;

  &.permission {
    min-width: 92px;
  }

  &.read,
  &.edit {
    @include flex(center, center);
    width: 38px;
  }
}

// spinner
app-spinner {
  height: 100%;

  ::ng-deep {
    .app-spinner {
      @include box(12px);
      @include border(1.5px solid $tangerine-yellow);
      @include borderTop(1.5px solid transparent);
    }
  }
}
